Summary: LCM - Local Configuration Manager
Name: lcm
Version: 0
Release: 7.1.el7.cern
BuildArch: noarch
Group: quattor/System
Vendor: CERN
Packager: Jaroslaw Polok <Jaroslaw.Polok@cern.ch>
License: GPL
Source0: http://cern.ch/Jaroslaw.Polok/quattor/%{name}-%{version}.tar

Requires: ncm-ncd >= 1.1.9
Requires: /usr/sbin/ncm-ncd
# eek, these get renamed to ccm-*
#Requires: /usr/sbin/edg-ccm-initialise
#Requires: /usr/sbin/edg-ccm-fetch
Requires: lcm-profile 
Requires: cronie
Requires: /sbin/service, /sbin/chkconfig
Requires: perl
BuildRequires: perl
BuildRequires: gzip

Patch100: lcm-0.man.patch

BuildRoot: %{_tmppath}/%{name}-root

%description
The lcm is the front end for invoking NCM configuration components via ncm-ncd.
(without connecting to Central DB, profile is read from local file instead).

%prep
%setup -q -n %{name}-%{version}
%patch100 -p1

%build
pod2man %{name} %{name}.1
gzip %{name}.1

%install
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}/
mkdir -p $RPM_BUILD_ROOT/var/lcm/installed/

install -m 755  lcm         $RPM_BUILD_ROOT/%{_sbindir}
install -m 755  cron.weekly $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly/lcm
install -m 755  cron.daily  $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/lcm
install -m 755  lcm.init.d  $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/lcm
install -m 644  lcm.conf    $RPM_BUILD_ROOT/%{_sysconfdir}
install -m 644  lcm.1.gz    $RPM_BUILD_ROOT/%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%post
# yes add thyself: It is harmless (as nothing is run unless configured)
/sbin/chkconfig --add lcm

%preun
/sbin/service lcm stop >> /dev/null 2>&1 
/sbin/chkconfig --del lcm >> /dev/null 2>&1

%files
%defattr(-, root, root)
%{_sbindir}/lcm
%{_sysconfdir}/cron.daily/lcm
%{_sysconfdir}/cron.weekly/lcm
%{_sysconfdir}/init.d/lcm
%dir /var/lcm/installed
%config(noreplace) %{_sysconfdir}/lcm.conf
%doc README lcm-example.conf
%{_mandir}/man1/lcm.1*

%changelog
* Fri Jul 11 2014 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- el7 rebuild

* Tue Apr 12 2005 Jan Iven <jan.iven@cern.ch>
- adapt "installed" test to new ncm-ncd output
- make --update work for single components
- added -quiet
* Fri Oct 15 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- updated to introduce state (component installed or not ..)
  and update option
* Tue Mar 10 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- adapted for ncm-ncd-1.1
* Sat Mar 6 2004 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- initial build (weekend was rainy ;-))

